%global subversion .devel2
%global contrib_commit 3c941f0ddb1b68eec9d7c0284939d4b86d82423e

Name:           blesh
Version:        0.4.0
Release:        0%{?subversion}%{?dist}
Summary:        Bash Line Editor (ble.sh) is a command line editor written in pure Bash which replaces the default GNU Readline.

%global _version %{version}%(v=%{subversion}; echo ${v/./-})

License:        BSD-3-Clause
URL:            https://github.com/akinomyoga/ble.sh
Source0:        https://github.com/akinomyoga/ble.sh/archive/refs/tags/v%{_version}.tar.gz
Source1:        https://github.com/akinomyoga/blesh-contrib/archive/%{contrib_commit}.zip

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  gawk
Requires:       bash

%description
Bash Line Editor―a full-featured line editor written in pure Bash! Syntax 
highlighting, auto suggestions, vim modes, etc. are available in Bash interactive sessions!

%prep
%setup -q -n ble.sh-%{_version}
%setup -q -T -D -n ble.sh-%{_version} -a 1
rmdir contrib
mv blesh-contrib-%{contrib_commit} contrib
# Prevent git from being called
sed -i -e "s|.*git submodule|# &|g" GNUmakefile


%build
%make_build


%install
rm -rf %{buildroot}
%make_install PREFIX=%{_prefix}
# Remove empty dir
rm -rf %{buildroot}%{_datadir}/%{name}/tmp
# Fix permissions
chmod 644 %{buildroot}%{_datadir}/%{name}/cache.d


%files
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%license LICENSE.md
%doc README.md CONTRIBUTING.md memo/ChangeLog.md


%changelog
* Tue May 25 2021 Carlos Mogas da Silva <r3pek@r3pek.org> - 0.4.0-0.devel2
- Inital Import
